package com.zcloud.entity.system;

import java.io.Serializable;
import java.util.List;

/**
 * 说明：路由（菜单）实体类
 * 作者：luoxiaobao
 * 官网：www.qdkjchina.com
 */
public class Route implements Serializable {
    private String ROUTE_ID;  //菜单ID
    private String PARENT_ID; // 上级菜单ID
    private String PARENT_IDS;  // 上级菜单串
    private String PATH;  // 路由地址
    private String REDIRECT;  // 路由重定向地址
    private String COMPONENT; // 文件位置（非子节点均填children）
    private String META;  // 菜单扩展字段（json格式）
    private String ROUTE_ORDER; // 菜单排序
    private String ROUTE_ICON;  // 菜单图标
    private String ROUTE_STATE; //
    private String SHIRO_KEY; //
    private String SHOW_MODEL;  //
    private String ROUTE_TYPE;  //
    private String ROUTE_NAME;


    private String target;
    private List<Route> children;
    private boolean hasMenu = false;

    public String getROUTE_ID() {
        return ROUTE_ID;
    }

    public void setROUTE_ID(String ROUTE_ID) {
        this.ROUTE_ID = ROUTE_ID;
    }

    public String getPARENT_ID() {
        return PARENT_ID;
    }

    public void setPARENT_ID(String PARENT_ID) {
        this.PARENT_ID = PARENT_ID;
    }

    public String getPARENT_IDS() {
        return PARENT_IDS;
    }

    public void setPARENT_IDS(String PARENT_IDS) {
        this.PARENT_IDS = PARENT_IDS;
    }

    public String getPATH() {
        return PATH;
    }

    public void setPATH(String PATH) {
        this.PATH = PATH;
    }

    public String getREDIRECT() {
        return REDIRECT;
    }

    public void setREDIRECT(String REDIRECT) {
        this.REDIRECT = REDIRECT;
    }

    public String getCOMPONENT() {
        return COMPONENT;
    }

    public void setCOMPONENT(String COMPONENT) {
        this.COMPONENT = COMPONENT;
    }

    public String getMETA() {
        return META;
    }

    public void setMETA(String META) {
        this.META = META;
    }

    public String getROUTE_ORDER() {
        return ROUTE_ORDER;
    }

    public void setROUTE_ORDER(String ROUTE_ORDER) {
        this.ROUTE_ORDER = ROUTE_ORDER;
    }

    public String getROUTE_ICON() {
        return ROUTE_ICON;
    }

    public void setROUTE_ICON(String ROUTE_ICON) {
        this.ROUTE_ICON = ROUTE_ICON;
    }

    public String getROUTE_STATE() {
        return ROUTE_STATE;
    }

    public void setROUTE_STATE(String ROUTE_STATE) {
        this.ROUTE_STATE = ROUTE_STATE;
    }

    public String getSHIRO_KEY() {
        return SHIRO_KEY;
    }

    public void setSHIRO_KEY(String SHIRO_KEY) {
        this.SHIRO_KEY = SHIRO_KEY;
    }

    public String getSHOW_MODEL() {
        return SHOW_MODEL;
    }

    public void setSHOW_MODEL(String SHOW_MODEL) {
        this.SHOW_MODEL = SHOW_MODEL;
    }

    public String getROUTE_TYPE() {
        return ROUTE_TYPE;
    }

    public void setROUTE_TYPE(String ROUTE_TYPE) {
        this.ROUTE_TYPE = ROUTE_TYPE;
    }

    public String getTarget() {
        return target;
    }

    public void setTarget(String target) {
        this.target = target;
    }

    public List<Route> getChildren() {
        return children;
    }

    public void setChildren(List<Route> children) {
        this.children = children;
    }

    public boolean isHasMenu() {
        return hasMenu;
    }

    public void setHasMenu(boolean hasMenu) {
        this.hasMenu = hasMenu;
    }

    public String getROUTE_NAME() {
        return ROUTE_NAME;
    }

    public void setROUTE_NAME(String ROUTE_NAME) {
        this.ROUTE_NAME = ROUTE_NAME;
    }
}
